Jump to content

The ultimate community for Ruby on Rails developers.


Unable to install any Ruby packages due to mkmf.rb can't find header files for ruby at /usr/lib64/ruby/ruby.h

ruby suse linux install

  • Please log in to reply
No replies to this topic

#1 sunilpreddy



  • Members
  • 1 posts

Posted 08 October 2013 - 10:36 PM

Receiving below error while installing any package and I using

gem install rails
Building native extensions. This could take a while...
ERROR: Error installing rails:
ERROR: Failed to build gem native extension.

/usr/bin/ruby extconf.rb
.rb can't find header files for ruby at /usr/lib64/ruby/ruby.h

Gem files will remain installed in /usr/lib64/ruby/gems/1.8/gems/atomic-1.1.14 for inspection.
Results logged to /usr/lib64/ruby/gems/1.8/gems/atomic-1.1.14/ext/gem_make.out

# gem -v
# ruby -v
ruby 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]


OS : Suse Linux

Can anyone Please help in fixing this problem, as I have already tried changing the export PATH=$PATH:/ ruby path and also tried to install ruby-dev but couldn't find it on rubygems.com or through gems install ruby-dev or ruby-devel.

Also tagged with one or more of these keywords: ruby, suse, linux, install

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users